package com.wyattjmiller.tictactoeapp

class Stats {
    var mGamesPlayed: Int = 0
    var mGamesWonX: Int = 0
    var mGamesWonO: Int = 0
    var mGamesCats: Int = 0
    var mGamePiecesPlaced: Int = 0

    fun updateGamesPlayed() {
        mGamesPlayed++
    }

    fun updateGamesWon(gameState: Gameboard.GameState) {
        when (gameState) {
            Gameboard.GameState.GamePlayerWinX -> mGamesWonX++
            Gameboard.GameState.GamePlayerWinO -> mGamesWonO++
            Gameboard.GameState.GameCat -> mGamesCats++
        }
    }

    fun updatePiecePlaced() {
        mGamePiecesPlaced++
    }
}